GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends
grpc::ChannelArguments Class Reference

`#include <channel_arguments.h>`

## Public Member Functions
| ChannelArguments ()
| ~ChannelArguments ()
| ChannelArguments (const ChannelArguments &other)
ChannelArguments & | operator= (ChannelArguments other)
void | Swap (ChannelArguments &other)
void | SetSslTargetNameOverride (const grpc::string &name)
void | SetCompressionAlgorithm (grpc_compression_algorithm algorithm)
void | SetInt (const grpc::string &key, int value)
void | SetString (const grpc::string &key, const grpc::string &value)
void | SetChannelArgs (grpc_channel_args *channel_args) const

## Friends
class | SecureCredentials
class | testing::ChannelArgumentsTest

## Constructor & Destructor Documentation

grpc::ChannelArguments::ChannelArguments | ( |  | ) |
| inline

grpc::ChannelArguments::~ChannelArguments | ( |  | ) |
| inline

grpc::ChannelArguments::ChannelArguments | ( | const ChannelArguments & | other | ) |

## Member Function Documentation

ChannelArguments& grpc::ChannelArguments::operator= | ( | ChannelArguments | other | ) |
| inline

void grpc::ChannelArguments::SetChannelArgs | ( | grpc_channel_args * | channel_args | ) | const

void grpc::ChannelArguments::SetCompressionAlgorithm | ( | grpc_compression_algorithm | algorithm | ) |

void grpc::ChannelArguments::SetInt | ( | const grpc::string & | key,
|  | int | value
| ) |  |

void grpc::ChannelArguments::SetSslTargetNameOverride | ( | const grpc::string & | name | ) |

void grpc::ChannelArguments::SetString | ( | const grpc::string & | key,
|  | const grpc::string & | value
| ) |  |

void grpc::ChannelArguments::Swap | ( | ChannelArguments & | other | ) |

## Friends And Related Function Documentation

friend class SecureCredentials
| friend

friend class testing::ChannelArgumentsTest
| friend

The documentation for this class was generated from the following files:

- include/grpc++/channel_arguments.h
- src/cpp/client/secure_channel_arguments.cc
- src/cpp/client/channel_arguments.cc